import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MDLMeshBufferAllocator } from "../ModelIO/MDLMeshBufferAllocator.js";
import type { _MTLDevice } from "../Metal/MTLDevice.js";
export declare class _MTKMeshBufferAllocator extends _NSObject {
    static alloc(): _MTKMeshBufferAllocator;
    static new(): _MTKMeshBufferAllocator;
    init(): _MTKMeshBufferAllocator;
    /**
     * Initialize the allocator with a device to be used to create buffers. The designated initializer for this class.
     */
    initWithDevice$(device: _MTLDevice): _MTKMeshBufferAllocator;
    /** Device used to create buffers. */
    device(): _MTLDevice;
}
export interface _MTKMeshBufferAllocator extends _MDLMeshBufferAllocator {
}
